Loading...
Searching...
No Matches
SlaterSetConcurrent Class Reference

The SlaterSetConcurrent class uses SlaterSetTools to calculate values of electronic structure properties from quantum output read in. More...

`#include <slatersetconcurrent.h>`

Inheritance diagram for SlaterSetConcurrent:

## Signals

void | finished ()

## Public Member Functions

| SlaterSetConcurrent (QObject *p=nullptr)
void | setMolecule (Core::Molecule *mol)
bool | calculateMolecularOrbital (Core::Cube *cube, unsigned int state)
bool | calculateElectronDensity (Core::Cube *cube)
bool | calculateSpinDensity (Core::Cube *cube)
QFutureWatcher< void > & | watcher ()

## Detailed Description

Author
  Marcus D. Hanwell

## Member Function Documentation

## finished

void finished | ( |  | ) |

signal

Emitted when the calculation is complete.

The documentation for this class was generated from the following file:

- slatersetconcurrent.h